Package com.independentsoft.office

# Enum Class UnitType

java.lang.Object
java.lang.Enum<UnitType>
com.independentsoft.office.UnitType

All Implemented Interfaces:
  `Serializable`, `Comparable<UnitType>`, `Constable`

public enum UnitType extends Enum<UnitType>
The Enum UnitType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTIMETER`
  `EM`
  `ENGLISH_METRIC_UNIT`
  `EX`
  `INCH`
  `MILLIMETER`
  `PERCENTAGE`
  `PICA`
  `PIXEL`
  `POINT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnitType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnitType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CENTIMETER

    public static final UnitType CENTIMETER

  - ### MILLIMETER

    public static final UnitType MILLIMETER

  - ### PIXEL

    public static final UnitType PIXEL

  - ### INCH

    public static final UnitType INCH

  - ### POINT

    public static final UnitType POINT

  - ### PERCENTAGE

    public static final UnitType PERCENTAGE

  - ### PICA

    public static final UnitType PICA

  - ### EM

    public static final UnitType EM

  - ### EX

    public static final UnitType EX

  - ### ENGLISH_METRIC_UNIT

    public static final UnitType ENGLISH_METRIC_UNIT

- ## Method Details

  - ### values

    public static UnitType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnitType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null